// rollup.config.js

import nodeResolve from "@rollup/plugin-node-resolve";
import swc from "rollup-plugin-swc";

export default {
  input: "main.ts",
  output: {
    dir: "dist",
  },
  plugins: [
    nodeResolve({ extensions: [".ts", ".tsx"] }),
    swc({
      jsc: {
        parser: {
          syntax: "typescript",
        },
        target: "es2020",
      },
    }),
  ],
};
